Loading...
Searching...
No Matches
mongocxx::v1::estimated_document_count_options Class Reference

`#include <mongocxx/v1/estimated_document_count_options.hpp>`

## Description

Options for an "estimatedDocumentCount" operation.

Supported fields include:

- comment
- max_time ("maxTimeMS")
- read_preference ("readPreference")

See also
  - CRUD API (MongoDB Specifications)
  - count (database command) (MongoDB Manual)

## Public Member Functions

| estimated_document_count_options ()
| Default initialization.
| estimated_document_count_options (estimated_document_count_options &&other) noexcept
| Move constructor.
| estimated_document_count_options (estimated_document_count_options const &other)
| Copy construction.
| ~estimated_document_count_options ()
| Destroy this object.
bsoncxx::v1::stdx::optional< bsoncxx::v1::types::view > | comment () const
| Return the current "comment" field.
estimated_document_count_options & | comment (bsoncxx::v1::types::value v)
| Set the "comment" field.
bsoncxx::v1::stdx::optional< std::chrono::milliseconds > | max_time () const
| Return the current "maxTimeMS" field.
estimated_document_count_options & | max_time (std::chrono::milliseconds v)
| Set the "maxTimeMS" field.
estimated_document_count_options & | operator= (estimated_document_count_options &&other) noexcept
| Move assignment.
estimated_document_count_options & | operator= (estimated_document_count_options const &other)
| Copy assignment.
bsoncxx::v1::stdx::optional< v1::read_preference > | read_preference () const
| Return the current "readPreference" field.
estimated_document_count_options & | read_preference (v1::read_preference v)
| Set the "readPreference" field.

## Constructor & Destructor Documentation

## ~estimated_document_count_options()

mongocxx::v1::estimated_document_count_options::~estimated_document_count_options | ( |  | ) |

Destroy this object.

Warning
  Invalidates all associated views.

## estimated_document_count_options() [1/3]

mongocxx::v1::estimated_document_count_options::estimated_document_count_options | ( | estimated_document_count_options && | other | ) |

noexcept

Move constructor.

Postconditions:
  - other is in an assign-or-destroy-only state.

## estimated_document_count_options() [2/3]

mongocxx::v1::estimated_document_count_options::estimated_document_count_options | ( | estimated_document_count_options const & | other | ) |

Copy construction.

## estimated_document_count_options() [3/3]

mongocxx::v1::estimated_document_count_options::estimated_document_count_options | ( |  | ) |

Default initialization.

Postconditions:
  - All supported fields are "unset" or zero-initialized.

## Member Function Documentation

## comment() [1/2]

bsoncxx::v1::stdx::optional< bsoncxx::v1::types::view > mongocxx::v1::estimated_document_count_options::comment | ( |  | ) | const

Return the current "comment" field.

## comment() [2/2]

estimated_document_count_options & mongocxx::v1::estimated_document_count_options::comment | ( | bsoncxx::v1::types::value | v | ) |

Set the "comment" field.

## max_time() [1/2]

bsoncxx::v1::stdx::optional< std::chrono::milliseconds > mongocxx::v1::estimated_document_count_options::max_time | ( |  | ) | const

Return the current "maxTimeMS" field.

## max_time() [2/2]

estimated_document_count_options & mongocxx::v1::estimated_document_count_options::max_time | ( | std::chrono::milliseconds | v | ) |

Set the "maxTimeMS" field.

## operator=() [1/2]

estimated_document_count_options & mongocxx::v1::estimated_document_count_options::operator= | ( | estimated_document_count_options && | other | ) |

noexcept

Move assignment.

Postconditions:
  - other is in an assign-or-destroy-only state.

## operator=() [2/2]

estimated_document_count_options & mongocxx::v1::estimated_document_count_options::operator= | ( | estimated_document_count_options const & | other | ) |

Copy assignment.

## read_preference() [1/2]

bsoncxx::v1::stdx::optional< v1::read_preference > mongocxx::v1::estimated_document_count_options::read_preference | ( |  | ) | const

Return the current "readPreference" field.

## read_preference() [2/2]

estimated_document_count_options & mongocxx::v1::estimated_document_count_options::read_preference | ( | v1::read_preference | v | ) |

Set the "readPreference" field.

The documentation for this class was generated from the following file:

- mongocxx/v1/estimated_document_count_options.hpp